CVE-2014-2285

Priority
Description
The perl_trapd_handler function in perl/TrapReceiver/TrapReceiver.xs in
Net-SNMP 5.7.3.pre3 and earlier, when using certain Perl versions, allows
remote attackers to cause a denial of service (snmptrapd crash) via an
empty community string in an SNMP trap, which triggers a NULL pointer
dereference within the newSVpv function in Perl.
Assigned-to
mdeslaur
Package
Upstream:needed
Ubuntu 14.04 LTS (Trusty Tahr):released (5.7.2~dfsg-8.1ubuntu3)
Patches:
Upstream:http://sourceforge.net/p/net-snmp/code/ci/76e8d6d100320629d8a23be4b0128619600c919d/
More Information

Updated: 2019-03-19 12:14:31 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)